Subject: Re: [PATCH 53/61] 82xx: Set NOT_COHERENT_CACHE on 8272 with PCI.

From: Scott Wood <[email-masked]>
Date: Wed, 18 Jul 2007 15:08:48 -0500

Kumar Gala wrote:
> On Jul 17, 2007, at 10:28 PM, David Gibson wrote:
>> Hrm... I for one would be a lot more comfortable with this patch if
>> you had a theoretical explanation for why it's necessary, in addition
>> to the "seems to fix things".

Sure, so would I; I just wanted to point out the issue, and make 
available a quick fix for anyone else that might be having problems.

My theoretical explanation is that the hardware is broken. :-P

> I agree w/David.  Have you tried turning on the  CPU_FTR_NEED_COHERENT?  
> Take a look at include/asm-powerpc/cputable.h  and search for the 
> reference to CONFIG_PPC_83xx.

OK, that appears to work as well.

-Scott